{% extends 'vagasifrn/base.html' %}

{% block titulo %}Detalhamento de Vaga{% endblock %}

{% block principal %}
    <table border="0">
        <tr>
            <td><img src="{{ vaga.banner.url }}" width="90%"/></td>
            <td>
                <p><b>Instituição Parceira</b>: {{ vaga.instituicao_parceira }}</p>
                <p><b>Função</b>: {{ vaga.funcao }}</p>
                <p><b>Remuneração</b>: R$ {{ vaga.remuneracao }}</p>
                <p><b>Pré-requisitos</b>: {{ vaga.prerequisitos }}</p>
                <p><b>Cursos associados</b>:
                {% for curso in vaga.cursos.all %}
                    <dd>{{ curso.nome }}</dd>
                {% endfor %}
                </p>
                <p><b>Data de publicação</b>: {{ vaga.data_pub | date:"d/m/Y" }}</p>
                <p><b>Data limite</b>: {{ vaga.data_limite | date:"d/m/Y" }}</p>
                <p><b>Quantidade de vagas</b>: {{ vaga.num_vagas }}</p>
                <p><b>Vagas ocupadas</b>: {{ vaga.vagas_ocupadas }}</p>
                {% if user.servidor and not vaga.validada %}
                    <button onclick="confirm_validacao()">Validar Vaga</button>
                {% elif user.instituicaoparceira and user.instituicaoparceira == vaga.instituicao_parceira %}
                    <a href="{% url 'vagasifrn:vaga_edit' vaga.id %}">
                        <button>EDITAR</button>
                    </a>
                    &nbsp;&nbsp;&nbsp;
                    <a href="#"><button>REMOVER</button></a>
                {% endif %}
            </td>
        </tr>
    </table>

    <script>
        function confirm_validacao() {
            let text = "Confirma que deseja validar esta vaga?";
            if (confirm(text) == true) {
                open("{% url 'vagasifrn:vaga_valid' vaga.id %}", "_self");
            } else {
            }
        }
    </script>
{% endblock %}
